Subject: bug#11075: 24.0.94; Arabic character composition

From: Joost Kremers <[email-masked]>
Date: Tue, 27 Mar 2012 16:33:37 +0200

On Fri, Mar 23, 2012 at 08:39:41PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 23 Mar 2012 19:23:11 +0100
> > From: Joost Kremers <[email-masked]>
> > Cc: [email-masked]
> > 
> > > Unless you build Emacs with a library that supports Arabic shaping,
> > > you won't be able to have it.  Does OS X offer such a library?
> > 
> > I don't know, but I suspect it does, because Arabic text is displayed
> > correctly in e.g. TextEdit.
> 
> Well, maybe you can find out what that libraries are and how to link
> against them, then we could include the necessary instructions in
> Emacs.

Since I'm not an Apple developer, I'm not really sure where to look for
such information. From what I've found through Google, it seems that the
relevant library is simply CoreText, but I may completely misunderstand how
OS X libraries work...

> I don't have access to OS X, so if you could build libotf and the
> other libraries mentioned in INSTALL and see if that gets you Arabic
> shaping, that'd be nice.  Thanks in advance.

I've tried, but haven't been successful... m17n-db can be installed, though
it requires downloading the charmaps and installing GNU/gettext because the
program msgfmt isn't part of OS X. (It's part of GNU/gettext but not of the
gettext that comes with OS X, it seems.)

Then, however, configuring m17n-lib failed with the following message:

autoreconf: running: aclocal --force -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/local/Cellar/autoconf/2.68/bin/autoconf --force
configure.ac:52: error: possibly undefined macro: AC_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/local/Cellar/autoconf/2.68/bin/autoconf failed with exit status: 1

Since I have no idea what this is about, I stopped my attempts at
installation.

-- 
Dr. Joost Kremers
Georg-August-Universität
Seminar für Deutsche Philologie
Käte-Hamburger-Weg 3
D-37073 Göttingen